import java.util.concurrent.*;

public class MyCallable {
    private static class Worker implements Callable<Integer> {
        private final String name; // TuXbhʗp̕

        Worker(String name) {
            this.name = name;
        }

        @Override
        public Integer call() throws Exception { // TuXbh̃Gg|Cg
            int sum = 0;
            for (int i = 0; i < 256; i++) {
                System.out.println(name + " " + i);
                sum += i;
            }
            return sum; // TuXbh̕Ԃl
        }
    }

    public static void main(String... args) throws InterruptedException, ExecutionException {
        ExecutorService executor = Executors.newFixedThreadPool(8);

        Future<Integer> ret1 = executor.submit(new Worker("one"));
        Future<Integer> ret2 = executor.submit(new Worker("two"));

        for (int i = 0; i < 256; i++) {
            System.out.println("main " + i);
        }
        // FutureIuWFNgget\bhŃTuXbh̕Ԃl擾
        // TuXbhsget\bh͑ҋ@iҋ@̃^CAEgw\j
        System.out.println(ret1.get());
        System.out.println(ret2.get());
        executor.shutdown();
    }
}
