import java.io.*;
import java.lang.reflect.*;

public class MyModifyField {
    public static void main(String... args) {
        try {
            File file = new File("/tmp");
            Class<? extends File> clazz = file.getClass();

            // privatetB[hpath擾
            Field field = clazz.getDeclaredField("path");
            if (!field.isAccessible()) {
                field.setAccessible(true); // 댯!
            }

            System.out.println(field.get(file)); //=> "tmp"\

            field.set(file, "/tmp/newfile"); // tB[h
            file.createNewFile();
        } catch (ReflectiveOperationException | IOException e) {
            e.printStackTrace();
        }
    }
}
