import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

class MyProxy implements InvocationHandler {
    private final Object target;
    public MyProxy(Object target) { // V[oIuWFNgێ
        this.target = target;
    }
    @Override
    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable {
        System.out.println("before interceptor");
        Object ret = method.invoke(target, args); // V[oIuWFNg̃\bhĂяo
        System.out.println("after interceptor");
        return ret;
    }
}
