public class MyReflectObjectTree {
    public static void main(String... args) {
        Class<StringBuilder> clazz = StringBuilder.class;

        Class<? super StringBuilder> parent;
        Class<? super StringBuilder> base = clazz;
        while ((parent = base.getSuperclass()) != null) {
            System.out.println(parent);
            base = parent;
        }

        Class<?>[] interfaces = clazz.getInterfaces();
        for (Class inf : interfaces) {
            System.out.println(inf);
        }
    }
}
