import javafx.application.Application;
import javafx.scene.image.Image;
import javafx.scene.image.PixelReader;
import javafx.stage.Stage;

import java.io.InputStream;

public class MyApplication extends Application {
    @Override
    public void start(Stage stage) throws Exception {
        // resize height to 50 and preserve aspect ratio.
        Image image = new Image(Main.class.getResource("duke.jpg").toExternalForm(), 0, 50, true, false);
        PixelReader imagePixels = image.getPixelReader();
        for (int y = 0; y < image.getHeight(); y += 2 /* the aspect ratio of typical fonts is 1:2. */) {
            for (int x = 0; x < image.getWidth(); ++x) {
                System.out.print(imagePixels.getColor(x, y).grayscale().getRed() > 0.5 ? '.' : '$');
            }
            System.out.println();
        }
        System.exit(0);
    }
}
