import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;

class MyBean {
    private IntegerProperty width;
    private IntegerProperty height;

    public int getWidth() {
        return width == null ? 0 : width.get();
    }

    public void setWidth(int value) {
        widthProperty().set(value);
    }

    public IntegerProperty widthProperty() {
        if (width == null) {
            width = new SimpleIntegerProperty(this, "width");
        }
        return width;
    }

    public int getHeight() {
        return height == null ? 0 : heightProperty().get();
    }
    
    public void setHeight(int value) {
        heightProperty().set(value);
    }

    public IntegerProperty heightProperty() {
        if (height == null) {
            height = new SimpleIntegerProperty(this, "height");
        }
        return height;
    }
}
