import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        Button b1 = new Button("Button 1");
        Button b2 = new Button("Button 2");
        Button b3 = new Button("Button 3");
        
        HBox pane = new HBox();
        pane.setAlignment(Pos.CENTER);
        pane.setSpacing(5);
        pane.getChildren().addAll(b1, b2, b3);
        
        Scene scene = new Scene(pane, 300, 200);
        String styleSheet = getClass().getResource("my.css").toExternalForm();
        scene.getStylesheets().add(styleSheet) ;
        
        primaryStage.setScene(scene);
        primaryStage.setTitle("Custom Stylesheet");
        primaryStage.show();
    }
}
