class Person {
    private final Name name;
    Person(Name name) {
        this.name = name;
    }
    Name getName() {
        return name;
    }
}

class Name {
    private final String first;
    private final String last;
    Name(String first, String last) {
        this.first = first;
        this.last = last;
    }
    String getFirst() {
        return first;
    }
    String getLast() {
        return last;
    }
}

public class Main {
    void showPersonFirstName(Person person) {
        if (person != null) {
            if (person.getName() != null) {
                if (person.getName().getFirst() != null) {
                    System.out.println(person.getName().getFirst());
                }
            }
        }
    }

    public static void main(String... args) {
        Main main = new Main();
        Person person = new Person(new Name("Bill", "Joy"));
        main.showPersonFirstName(person);
    }
}
