public class MyHostInner {
    // NX
    private class MyHelper {
        private final String nestedInstanceField = "nested private instance field";

        private final String sameNameField = "inner";

        private void method() {
            // IuWFNgGN[WOIuWFNgprivatetB[h
            System.out.println(hostInstanceField);

            System.out.println(sameNameField); //=> "inner"
            System.out.println(this.sameNameField); //=> "inner"
            System.out.println(MyHostInner.this.sameNameField); //=> "outer"
        }
    }

    private final String hostInstanceField = "private instance field";
    private final String sameNameField = "outer";

    private void exec() {
        // NX̃IuWFNgiIuWFNgj𐶐
        MyHelper helper = new MyHelper();
        // GN[WOIuWFNgIuWFNgprivatetB[h
        System.out.println(helper.nestedInstanceField);
        helper.method();
    }

    public static void main(String... args) {
        // GN[WONX̃IuWFNgiGN[WOIuWFNgj𐶐
        MyHostInner my = new MyHostInner();
        my.exec();
    }
}
