import java.util.*;
import java.time.*;
import java.time.temporal.*;
import java.time.chrono.*;
import java.time.format.*;

public class MyTime {
    public static void main(String... args) {
        // LReLXg̏(Kv͂Ȃ̂ŁAAvO[ołǂ)
        ZoneId jst = ZoneId.of("JST", ZoneId.SHORT_IDS); // {iJSTj̃^C][
        //        ZoneId jst = ZoneId.systemDefault(); // 茳R[hȂ炱łOK
        ZoneId est = ZoneId.of("EST", ZoneId.SHORT_IDS); // čiESTj̃^C][

        Locale jpLocale = new Locale("ja", "JP", "JP"); // {̃P[
        Chronology wareki = Chronology.ofLocale(jpLocale); // a
        // Chronology wareki = Chronology.of("Japanese"); // L2s̑֗
        // ܂ŋLReLXg̏

        // ͐lZonedDateTime()ɕϊ
        // z: p҂͓{^C][œ
        ZonedDateTime myTime = ZonedDateTime.of(2014, 1, 31, 10/*hour*/, 0/*min*/, 0/*sec*/, 0/*nanosec*/, jst);

        // ZonedDateTime()\
        // z: p҂͓{^C][ł̓\
        System.out.format("%d, %d, %d\n", myTime.getYear(), myTime.getMonthValue(), myTime.getDayOfMonth());

        // ZonedDateTimegtvZ
        // PȌvZplusMonthsminusMonthsȂǂ̃\bhg
        // GȌvZTemporalAdjustersg
        // : 2014.1.31 =[1̍ŏ̓yj?]=> 2014.3.1
        ZonedDateTime deadline = myTime.plusMonths(1).with(TemporalAdjusters.next(DayOfWeek.SATURDAY));
        // System.out.println(myTime.plusMonths(1).with(ChronoField.DAY_OF_WEEK, 6)); // 萔x[X̏(LƂ͈قȂӖł)

        // ̔r
        // : ؂O̔Ȃ
        if (myTime.compareTo(deadline) < 0) {
            System.out.println("before deadline");
        }

        // vZ
        // : ؂܂Ŏc艽?
        // : ؂̎dl𖾊mɂ̂̓R[hȑO̘b(Ƃ΁A11؂̈Ӗ́A0Ȃ̂11:59܂莖㗂0Ȃ̂)
        Duration duration = Duration.between(myTime, deadline);
        System.out.format("%d days until deadline\n", duration.toDays());

        // JSTESTɕϊ(InstantƂĂ͓)
        // z: {̃J_[ō\č̃J_[ŕ\
        ZonedDateTime ustime = myTime.withZoneSameInstant(est);

        // ZonedDateTime()ao
        // z: p҂ał̓\
        ChronoLocalDate heisei = wareki.date(myTime);
        // "Heisei"=>""̕ϊ͎OKv
        System.out.format("%s, %d, %d, %d\n", heisei.getEra(), heisei.get(ChronoField.YEAR_OF_ERA), heisei.get(ChronoField.MONTH_OF_YEAR), heisei.get(ChronoField.DAY_OF_MONTH));
        System.out.println(heisei.getEra().getDisplayName(TextStyle.FULL, jpLocale));

        // aN(H26)琼N(2014N)֕ϊ
        // z: p҂aœ
        String WAREKI_HEISEI = "Heisei"; // "Heisei"̓n[hR[h
        JapaneseEra jpEra = JapaneseEra.valueOf(WAREKI_HEISEI);
        ChronoLocalDate heisei2 = wareki.date(jpEra, 26, 3, 15);
        System.out.println("A.D. " + heisei2.get(ChronoField.YEAR)); //=> 2014

        // ^C][ɈˑȂ
        // z: NX}X͂ǂ̃^C][̃J_[ŌĂȂ
        LocalDate xmasDay = LocalDate.of(2014, 12, 25);

        // API(java.util.Date)Ƃ̕ϊ
        // java.util.Date => Date/Time API
        Date now = new Date();
        ZonedDateTime ztime = ZonedDateTime.ofInstant(now.toInstant(), jst);

        // Date/Time API => java.util.Date
        ZonedDateTime znow = ZonedDateTime.now();
        Date dateNow = Date.from(Instant.from(znow));
    }
}
