import java.io.IOException;
import java.nio.file.*;
import static java.nio.file.StandardWatchEventKinds.*;

public class DirWatch {
    public static void main(String... args) throws IOException, InterruptedException {
        if (args.length <= 0) {
            System.out.println("R}hCŃfBNgw肵Ă");
            System.exit(0);
        }

        Path path = Paths.get(args[0]);

        try (WatchService watchService = FileSystems.getDefault().newWatchService()) {
            // ENTRY_CREATEȂǂStandardWatchEventKinds̒萔
            path.register(watchService, ENTRY_CREATE, ENTRY_DELETE, ENTRY_MODIFY);

            while (true) {
                WatchKey key = watchService.take(); // ω܂ŌĂяo~itakȇpollƒ~Ȃj

                for (WatchEvent<?> event: key.pollEvents()) {
                    System.out.println(event.kind()); //=> StandardWatchEventKinds̒萔
                    System.out.println((Path)event.context()); //=> ύX̂t@CpX
                }
                boolean valid = key.reset();
                if (!valid) {
                    break;
                }
            }
        }
    }
}
