import java.io.*;
import java.net.*;

public class MyClientTimeout {
    private static final String SERVER_HOST = "localhost"; // PCɃT[ovZXO
    private static final int SERVER_PORT = 9000; // T[õ|[gԍiT[oƎO茈߁j
    private static final char END_MARK = '.'; // I[iT[oƂ̎O茈߁j
    private static final int CONNECT_TIMEOUT = 5000; // Pʂ̓~b
    private static final int READ_TIMEOUT = 5000;    // Pʂ̓~b

    public static void main(String... args) {
        if (args.length < 1) {
            System.err.println("usage: java " + MyClientTimeout.class.getSimpleName() + " M");
            System.exit(-1);
        }
        try (Socket sock = new Socket()) { // \I\Pbg̐iڑj
            sock.connect(new InetSocketAddress(SERVER_HOST, SERVER_PORT), CONNECT_TIMEOUT);
            sock.setSoTimeout(READ_TIMEOUT);
            try (Reader in = new BufferedReader(new InputStreamReader(sock.getInputStream()));
                 Writer out = new BufferedWriter(new OutputStreamWriter(sock.getOutputStream()))) {
                for (String arg : args) {
                    out.write(arg);
                }
                out.write('.'); // I[iT[oƎO茈߁j
                out.flush();
                
                char[] buf = new char[4096];
                while (in.read(buf) != -1) {
                    System.out.print(buf);
                }
            }
        } catch (SocketTimeoutException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
