import java.io.*;
import java.net.*;

public class MyServerTimeout {
    private static final int LISTEN_PORT = 9000; // ҂󂯃|[gԍiNCAgƎO茈߁j
    private static final char END_MARK = '.'; // I[iNCAgƂ̎O茈߁j
    private static final int ACCEPT_TIMEOUT = 5000; // Pʂ̓~b
    private static final int READ_TIMEOUT = 5000;   // Pʂ̓~b

    public static void main(String... args) {
        try (ServerSocket ssock = new ServerSocket(LISTEN_PORT)) { // ҂󂯃\Pbgi󓮓I\Pbgj
            ssock.setSoTimeout(ACCEPT_TIMEOUT);
            try (Socket sock = ssock.accept()) {  // 󂯓\Pbg
                sock.setSoTimeout(READ_TIMEOUT);
                try (Reader in = new BufferedReader(new InputStreamReader(sock.getInputStream()));
                     Writer out = new BufferedWriter(new OutputStreamWriter(sock.getOutputStream()))) {
                    StringBuilder sb = new StringBuilder(4096);
                    int c;
                    while ((c = in.read()) != -1) {
                        if (c == END_MARK) {
                            break;
                        }
                        sb.append((char)c);
                    }
                    out.write(sb.toString().toUpperCase()); // M啶ɂđM
                    out.flush();
                    
                    System.out.println(sb);
                }
            }
        } catch (SocketTimeoutException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
