import java.lang.reflect.Method;

public class MyInvoke {
    public static void main(String... args) {
        try {
            Class<?> clazz = Class.forName("java.lang.StringBuilder");
            Method appendMethod = clazz.getMethod("append", String.class);
            Method lengthMethod = clazz.getMethod("length");

            CharSequence sb = (CharSequence)clazz.newInstance();
            appendMethod.invoke(sb, "abc");
            appendMethod.invoke(sb, "def");
            appendMethod.invoke(sb, "ghi");
            System.out.println(sb);
            System.out.println("length=" + lengthMethod.invoke(sb));
        } catch (ReflectiveOperationException e) {
            e.printStackTrace();
        }
    }
}
