import javafx.beans.property.Property;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;

public class Main {
    public static void main(String...args) {
        ChangeListener listener = new ChangeListener() {
            @Override
            public void changed(ObservableValue observable, Object oldValue, Object newValue) {
                Property property = (Property) observable;
                System.out.println(property.getName() + " was changed from " +
                        oldValue + " to " + newValue);
            }
        };
        
        MyBean bean = new MyBean();
        bean.widthProperty().addListener(listener);
        bean.heightProperty().addListener(listener);
        
        bean.setHeight(10);
        bean.setWidth(20);
    }
}
