import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;

class MyBean {
    private IntegerProperty width;
    private int _width;
    private IntegerProperty height;
    private int _height;

    public int getWidth() {
        return width == null ? _width : width.get();
    }

    public void setWidth(int value) {
        if (width == null) {
            _width = value;    
        } else {
            widthProperty().set(value);
        }
    }

    public IntegerProperty widthProperty() {
        if (width == null) {
            width = new SimpleIntegerProperty(this, "width", _width);
        }
        return width;
    }

    public int getHeight() {
        return height == null ? _height : heightProperty().get();
    }
    
    public void setHeight(int value) {
        if (height == null) {
            _height = value;
        } else {
            heightProperty().set(value);
        }
    }

    public IntegerProperty heightProperty() {
        if (height == null) {
            height = new SimpleIntegerProperty(this, "height", _height);
        }
        return height;
    }
}
