import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        CheckBox c1 = new CheckBox("CheckBox 1");
        CheckBox c2 = new CheckBox("CheckBox 2");
        CheckBox c3 = new CheckBox("CheckBox 3");

        VBox pane = new VBox();
        pane.setSpacing(5);
        pane.setPadding(new Insets(10, 10, 10, 10));
        pane.getChildren().addAll(c1, c2, c3);
        
        Scene scene = new Scene(pane, 300, 200);
        primaryStage.setScene(scene);
        primaryStage.setTitle("VBox");
        primaryStage.show();
    }
}
