import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        Stream<String> stream = Stream.of("abc", "xyz", "defghi", "a");

        // StreamListIuWFNg𐶐
        List<String> list = stream.collect(Collectors.toList());
        /*
          ܂
          List<String> list = stream.collect(Collectors.toCollection(ArrayList::new));
        */

        // StreamSetIuWFNg𐶐
        Set<String> set = list.stream().collect(Collectors.toSet());

        // StreamMapIuWFNg𐶐i}bṽL[ƒlւ̕ϊ֐wBLFunction.identity()͓͒l̂܂܏o͒lɂ܂j
        Map<String,String> map = list.stream().collect(Collectors.toMap(Function.identity(), Function.identity()));

        // Streamz𐶐
        String[] arr = list.stream().toArray(String[]::new);
    }
}
