import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        // f[^\[XListIuWFNg
        List<String> list = Arrays.asList("ab", "c", "def");

        // A
        String s = list.stream().collect(Collectors.joining(",", "[", "]")); //=> "[ab,c,def]"

        // JEg
        long count = list.stream().collect(Collectors.counting()); //=> 3

        // ŏľ
        list.stream().collect(Collectors.minBy(String::compareTo)).ifPresent(System.out::println); //=> "ab"o

        // }bvԏcollectiXg8.37̕ʉj
        List<Integer> result = list.stream().collect(Collectors.mapping(String::length, Collectors.toList()));

        // collecť㏈
        List<String> fronzenList = list.stream().collect(Collectors.collectingAndThen(Collectors.toList(), Collections::unmodifiableList));
        int joinLength = list.stream().collect(Collectors.collectingAndThen(Collectors.joining(",", "[", "]"), String::length)); //=> 10
    }
}
